> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a billing group

> Get a billing group



## OpenAPI

````yaml get /billing-groups/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /billing-groups/{id}:
    parameters: []
    get:
      tags:
        - BillingGroup
      summary: Get a billing group
      description: Get a billing group
      operationId: getBillingGroup
      parameters:
        - name: id
          in: path
          description: BillingGroup identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: BillingGroup resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingGroup-BillingGroupDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/BillingGroup-BillingGroupDetail'
        '404':
          description: Resource not found
      deprecated: false
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /billing-groups/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    BillingGroup-BillingGroupDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9ZQZJZJQZJZJZJZJZJZJZJZ
          type: string
        name:
          maxLength: 255
          description: The name of the billing group.
          example: Billing of payments at the end of the month
          type: string
        type:
          readOnly: true
          description: |-
            The type of the billing group.

            Possible values:
             * `start_of_month`: The billing group will be charged on the first day of the month.
             * `end_of_month`: The billing group will be charged on the last day of the month.
             * `start_of_year`: The billing group will be charged on the first day of the year.
             * `end_of_year`: The billing group will be charged on the last day of the year.
             * `custom`: The billing group will be charged on a custom day of the month.
          example: end_of_month
        customDay:
          exclusiveMinimum: 0
          maximum: 31
          readOnly: true
          description: >-
            The custom day of the billing group, only used when type is
            "custom".
          example: 31
          type:
            - integer
            - 'null'
        customMonth:
          exclusiveMinimum: 0
          maximum: 12
          readOnly: true
          description: >-
            The custom month of the billing group, only used when type is
            "custom".
          example: 12
          type:
            - integer
            - 'null'
        subscriptions:
          description: The subscriptions which are assigned to the billing group.
          type: array
          items:
            type: string
            format: uuid
            example: https://example.com/
      required:
        - name
        - type
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````